From a79b80dc287fb45a910b8911210c82a854336b59 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Mon, 31 Oct 2022 22:35:56 -0700
Subject: [PATCH v3 3/4] wip: llvmjit: Make llvm_types_module variable static.

Not sure why I did that differently in b059d2f45685a.
---
 src/include/jit/llvmjit.h      | 3 ---
 src/backend/jit/llvm/llvmjit.c | 2 +-
 2 files changed, 1 insertion(+), 4 deletions(-)

diff --git a/src/include/jit/llvmjit.h b/src/include/jit/llvmjit.h
index 4541f9a2c42..f4c01c28672 100644
--- a/src/include/jit/llvmjit.h
+++ b/src/include/jit/llvmjit.h
@@ -55,9 +55,6 @@ typedef struct LLVMJitContext
 	List	   *handles;
 } LLVMJitContext;
 
-/* llvm module containing information about types */
-extern PGDLLIMPORT LLVMModuleRef llvm_types_module;
-
 /* type and struct definitions */
 extern PGDLLIMPORT LLVMTypeRef TypeParamBool;
 extern PGDLLIMPORT LLVMTypeRef TypePGFunction;
diff --git a/src/backend/jit/llvm/llvmjit.c b/src/backend/jit/llvm/llvmjit.c
index 360de20ebee..3625edceb3e 100644
--- a/src/backend/jit/llvm/llvmjit.c
+++ b/src/backend/jit/llvm/llvmjit.c
@@ -77,7 +77,7 @@ LLVMTypeRef StructAggStatePerTransData;
 
 LLVMValueRef AttributeTemplate;
 
-LLVMModuleRef llvm_types_module = NULL;
+static LLVMModuleRef llvm_types_module = NULL;
 
 static bool llvm_session_initialized = false;
 static size_t llvm_generation = 0;
-- 
2.38.0

